@layer too-mezhregionenergotranzit {
  h1 {
    font-size: 4rem;
    text-transform: uppercase;
    font-weight: 600;
    line-height: 4.75rem;
  }

  @media (max-width: 48em) {
    h1 {
      margin: 0;
      font-size: 2.5rem;
      line-height: 3.5rem;
    }
  }

  @media (max-width: 27.5em) {
    h1 {
      font-size: 2rem;
      line-height: 2.5rem;
    }
  }
  
  .project-hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: var(--white);
  }

  @media (max-width: 27.5em) {
    .project-hero {
      margin-top: 5.7em;
    }
  }

  .project-hero__inner {
    margin: 8em 0 12em;
    width: 100%;
    max-width: 2000px;
    padding: var(--spacing-0) var(--spacing-3em);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4em;
  }

  @media (max-width: 64em) {
    .project-hero__inner {
      margin: 8em 0 12em;
      padding: var(--spacing-0) var(--spacing-2em);
    }
  }

  @media (max-width: 48em) {
    .project-hero__inner {
      margin: 8em 0 8em;
      padding: var(--spacing-0) var(--spacing-1em);
    }
  }

  .project-hero__heading {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: var(--spacing-12em) var(--spacing-3em) var(--spacing-0);
    text-align: left;
    background-color: var(--white);
    color: var(--primary);
    border-bottom: var(--border-1) solid var(--card-bg);
  }

  @media (max-width: 48em) {
    .project-hero__heading {
      padding: var(--spacing-12em) var(--spacing-1em) var(--spacing-4em) ;
    }
  }

  @media (max-width: 27.5em) {
    .project-hero__heading {
      padding: var(--spacing-6em) var(--spacing-1em) var(--spacing-4em) ;
    }
  }

  .project-hero__heading__innner {
    width: 100%;
    max-width: 1900px;
    display: flex;
    flex-direction: column;
    gap: 2em;
    margin-bottom: 4em;
  }

  @media (max-width: 48em) {
    .project-hero__heading__innner {
      margin-bottom: 0em;
    }
  }

  .p-heading-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: left;
  }

  .p-content__inner .heading {
    max-width: 656px;
    margin-bottom: 8em;
  }

  @media (max-width: 37.5em) {
    .p-content__inner .heading {
      max-width: 512px;
    }
  }

  .project-hero__heading__innner p {
    color: var(--dark);
  }

  .project-grid {
    margin-top: 4em;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1em;
  }

  @media (max-width: 60em) {
    .project-grid {
      grid-template-columns: repeat(1, 1fr);
    }
  }

  .project-card {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 4em;
    padding: 1em;
    border-radius: var(--radius-card);
    border: var(--border-1) solid var(--primary);
    transition: var(--transition);
    background-color: var(--white);
    background-image: url('/src/assets/images/bg-7.png');
    background-repeat: repeat;
    background-position: center center;
    background-size: 2856px auto;
  }

  @media (max-width: 60em) {
    .project-card {
      padding: 1em;
    }
  }

  @media (max-width: 48em) {
    .project-card {
      transition: 2.0s ease;
    }
  }

  .project-card__heading {
    margin-top: 2em;
    text-align: left;
    max-width: 500px;
  }

  .project-card__client-info {
    margin-top: 1em;
    display: flex;
    flex-direction: column;
    gap: 0.5em;
  }

  .project-card__client {
    font-size: 1rem;
    font-weight: 500;
  }

  .project-card__name {
    font-size: 1rem;
    font-weight: 800;
  }

  .project-link-button {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: start;
  }

  .project-card img {
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: cover;
  }

    /* Контейнер для фиксации размеров */
  .image-container {
    position: relative;
    width: 100%;
    overflow: hidden;
    border-radius: var(--radius-btn);
  }

  /* Картинка занимает всю площадь */
  .image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
  }

  /* Состояние по умолчанию (оверлей виден) */
  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(30, 35, 170, 0.5);
    mix-blend-mode: overlay;
    transition: opacity 0.3s ease-in-out;
    pointer-events: none;
    opacity: 1; /* Оверлей активен */
  }

  @media (max-width: 48em) {
    .overlay {
      transition: opacity 2.0s ease;
    }
  }

  /* Эффект при наведении на десктопе */
  @media (hover: hover) {
    .project-card:hover .overlay {
      opacity: 0;
    }
  }

  /* Эффект при попадании во вьюпорт на мобильных/планшетах */
  .project-card.is-visible .overlay {
    opacity: 0;
  }

    /* Состояние при наведении мышкой (Desktop) */
  @media (hover: hover) {
    .project-card:hover {
      box-shadow: -2px -1px 0px 2px var(--primary);
    }

    .project-card:hover .overlay {
      opacity: 0;
    }
  }

  /* Состояние при попадании во вьюпорт (Mobile/Scroll) */
  /* JS добавляет этот класс, когда карточка в центре экрана */
  .project-card.is-visible {
    box-shadow: -2px -1px 0px 2px var(--primary);
    transition: box-shadow 0.3s ease; /* Добавим плавности */
  }

  .project-card.is-visible .overlay {
    opacity: 0;
  }

  .p-content {
    z-index: 2;
    display: flex;
    justify-content: center;
    align-self: center;
    width: 100%;
    background-color: var(--white);
    color: var(--dark);
  }

  .p-content__inner {
    width: 100%;
    max-width: var(--container);
    margin: var(--spacing-12em) var(--spacing-0) var(--spacing-12em);
    padding: var(--spacing-3em) var(--spacing-3em);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: var(--gap-2em);
  }

  @media (max-width: 64em) {
    .p-content__inner {
      padding: var(--spacing-2em) var(--spacing-2em);
    }
  }

  @media (max-width: 60em) {
    .p-content__inner {
      margin: var(--spacing-8em) var(--spacing-0) var(--spacing-8em);
    }
  }

  @media (max-width: 48em) {
    .p-content__inner {
      padding: var(--spacing-1em) var(--spacing-1em);
    }
  }

  .p-content__inner h2 {
    max-width: 640px;
  }

  .p-content__wrapper {
    width: 100%;
    display: grid;
    grid-template-columns:  repeat(2, 1fr);
    justify-content: space-between;
    align-items: left;
    gap: var(--gap-2em);
  }

  @media (max-width: 60em) {
    .p-content__wrapper {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: left;
      gap: var(--gap-4em);
    }
  }

  .p-content .display-bullet-list {
    background: rgba(0, 0, 0, 0.068);
    border: 1px solid #AA1E1E;
  }

  .p-content .third-lvl-button {
    background-color: var(--primary);
    border-color: var(--white);
    color: var(--white);
  }

  .p-content .third-lvl-button:hover {
    background-color: var(--white);
    border-color: var(--white);
    color: var(--primary);
  }

  .p-content svg {
    width: 48px;
    height: 48px;
  }

  @media (max-width: 60em) {
    .p-content svg {
      width: 24px;
      height: 24px;
    }
  }

  .conclusion {
    margin-top: 3em;
    width: 100%;
    display: flex;
    align-items: left;
  }

  .p-content .paragraph__highlight-white {
    border: 1px solid #1EAA66;
    display: grid;
    grid-template-columns: 48px auto;
    align-items: start;
    padding: 1em 1.4em;
    gap: 1em;
  }

  @media (max-width: 60em) {
    .p-content .paragraph__highlight-white {
      padding: 1em;
      grid-template-columns: 24px auto;
    }
  }

  .p-content .paragraph__highlight-white svg {
    width: 48px;
    height: 48px;
  }

  @media (max-width: 60em) {
    .p-content .paragraph__highlight-white svg {
      width: 24px;
      height: 24px;
    }
  }

  .paragraph p {
    line-height: 1.5rem;
  }
  @media (max-width: 60em) {
    .paragraph p {
      max-width: 512px;
    }
  }

  .images-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2em;
  }

  .images-container img {
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: cover;
    border-radius: var(--radius-card);
  }
}